#!/usr/bin/bash

cd /home/user2/projects_production/FDEVCommunityEventsMonitoring || { exit 1; echo "changing directory failed"; exit 1; }

http_response=$(curl -s -L -o calendar-page-2.json -w "%{http_code}" "https://calendar.zaonce.net/jsonapi/node/calendar_item?page%5Boffset%5D=50&page%5Blimit%5D=50")
if [ $http_response != "200" ]; then
	git reset --hard | grep -v "HEAD is now at"
    exit 1

else
	cat calendar-page-2.json | python3 -m json.tool > .calendar-page-2.json
	mv .calendar-page-2.json calendar-page-2.json
	git add "calendar-page-2.json"
	git commit -m "commit" 2>/dev/null >/dev/null
	git push 2>/dev/null
fi


